package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallIndustryClass;

/**
 * 行业分类Service接口
 * 
 * @author ruoyi
 * @date 2023-12-15
 */
public interface IMallIndustryClassService 
{
    /**
     * 查询行业分类
     * 
     * @param id 行业分类主键
     * @return 行业分类
     */
    public MallIndustryClass selectMallIndustryClassById(Long id);

    /**
     * 查询行业分类列表
     * 
     * @param mallIndustryClass 行业分类
     * @return 行业分类集合
     */
    public List<MallIndustryClass> selectMallIndustryClassList(MallIndustryClass mallIndustryClass);

    /**
     * 新增行业分类
     * 
     * @param mallIndustryClass 行业分类
     * @return 结果
     */
    public int insertMallIndustryClass(MallIndustryClass mallIndustryClass);

    /**
     * 修改行业分类
     * 
     * @param mallIndustryClass 行业分类
     * @return 结果
     */
    public int updateMallIndustryClass(MallIndustryClass mallIndustryClass);

    /**
     * 批量删除行业分类
     * 
     * @param ids 需要删除的行业分类主键集合
     * @return 结果
     */
    public int deleteMallIndustryClassByIds(Long[] ids);

    /**
     * 删除行业分类信息
     * 
     * @param id 行业分类主键
     * @return 结果
     */
    public int deleteMallIndustryClassById(Long id);
}
